LogAggregationIndexedFileController.IndexedFileLogMeta (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.logaggregation.filecontroller.ifile, class: LogAggregationIndexedFileController, class: IndexedFileLogMeta

Package org.apache.hadoop.yarn.logaggregation.filecontroller.ifile

# Class LogAggregationIndexedFileController.IndexedFileLogMeta

java.lang.Object
org.apache.hadoop.yarn.logaggregation.filecontroller.ifile.LogAggregationIndexedFileController.IndexedFileLogMeta

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  LogAggregationIndexedFileController

@Private @VisibleForTesting public static class LogAggregationIndexedFileController.IndexedFileLogMeta extends Object implements Serializable
This IndexedFileLogMeta includes the meta information for a single file which would be aggregated in one Log aggregation cycle.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexedFileLogMeta()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainerId()`
  `long`
  `getFileCompressedSize()`
  `String`
  `getFileName()`
  `long`
  `getFileSize()`
  `long`
  `getLastModifiedTime()`
  `long`
  `getStartIndex()`
  `void`
  `setContainerId(String containerId)`
  `void`
  `setFileCompressedSize(long fileCompressedSize)`
  `void`
  `setFileName(String fileName)`
  `void`
  `setFileSize(long fileSize)`
  `void`
  `setLastModifiedTime(long lastModifiedTime)`
  `void`
  `setStartIndex(long startIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndexedFileLogMeta

    public IndexedFileLogMeta()

- ## Method Details

  - ### getFileName

    public String getFileName()

  - ### setFileName

    public void setFileName(String fileName)

  - ### getFileSize

    public long getFileSize()

  - ### setFileSize

    public void setFileSize(long fileSize)

  - ### getFileCompressedSize

    public long getFileCompressedSize()

  - ### setFileCompressedSize

    public void setFileCompressedSize(long fileCompressedSize)

  - ### getLastModifiedTime

    public long getLastModifiedTime()

  - ### setLastModifiedTime

    public void setLastModifiedTime(long lastModifiedTime)

  - ### getStartIndex

    public long getStartIndex()

  - ### setStartIndex

    public void setStartIndex(long startIndex)

  - ### getContainerId

    public String getContainerId()

  - ### setContainerId

    public void setContainerId(String containerId)